#!/bin/bash
#set -x
Usersessionlist=$(dbus-send --system --print-reply \
--dest=org.freedesktop.login1 \
/org/freedesktop/login1 \
org.freedesktop.login1.Manager.ListSessions | awk '{if(NR > 1) print $3}')

OLD_IFS="$IFS"
IFS=" "
sessionlist=($Usersessionlist)
IFS="$OLD_IFS"
for Usersessionelement in ${sessionlist[@]}
do
    Usersessionpath=$(echo ${Usersessionelement:1} | sed 's/\"//g')
    DesktopUserstatus=$(dbus-send --system --print-reply \
                        --dest=org.freedesktop.login1 \
                        $Usersessionpath \
                        org.freedesktop.DBus.Properties.Get \
                        string:"org.freedesktop.login1.Session" string:"Active" | awk '{if(NR > 1) print $3}')
    #echo $DesktopUserstatus
    if [ "$DesktopUserstatus" == "true" ]; 
    then
        CurrentUserName=$(dbus-send --system --print-reply \
                        --dest=org.freedesktop.login1 \
                        $Usersessionpath \
                        org.freedesktop.DBus.Properties.Get \
                        string:"org.freedesktop.login1.Session" string:"Name" | awk '{if(NR > 1) print $3}')
	#echo "username : $CurrentUserName"
        TtyType=$(dbus-send --system --print-reply \
                 --dest=org.freedesktop.login1 \
                 $Usersessionpath \
                 org.freedesktop.DBus.Properties.Get \
                 string:"org.freedesktop.login1.Session" string:"TTY" | awk '{if(NR > 1) print $3}')
	#echo "TtyType : $TtyType"
	if [ "$TtyType" == '""' ]; 
	then
		echo ${CurrentUserName:1} | sed 's/\"//g'
		break
	fi
    fi
done