#!/bin/bash

resources_path="/usr/share/kylin-dz-config/resources"

#配置隐藏企业WiFi
if [ ! -d /etc/kylin-boot-guide/ ]
then
  sudo mkdir /etc/kylin-boot-guide/
fi
sudo cp $resources_path/icbc/wifi.conf /etc/kylin-boot-guide/

#配置加域KIM地址
#sudo cp $resources_path/icbc/.kimserver.conf /etc/

#未签名包阻止安装
# sudo cp $resources_path/icbc/dpkg.cfg /etc/dpkg/dpkg.cfg

#启动助手功能展示
if [ ! -d /usr/local/kylin-boot-guide/ ]
then
  sudo mkdir /usr/local/kylin-boot-guide/
fi
sudo cp $resources_path/icbc/*.png /usr/local/kylin-boot-guide/

#导入安全管控临时取消策略私钥
sudo cp $resources_path/icbc/rsa-pubkey /etc/hedron/

#导入SSL证书
cp $resources_path/icbc/ca.crt /etc/ssl/certs/kylincloud.crt
cp $resources_path/icbc/ca.crt /usr/share/ca-certificates/kylincloud.crt
echo "kylincloud.crt" >> /etc/ca-certificates.conf
update-ca-certificates --fresh

#不显示亚信杀毒卸载程序
sudo cp $resources_path/icbc/com.ais.un.esm.desktop /usr/share/applications/

# 导入防火墙脚本
cp $resources_path/initial_firewall_220401.sh /opt

###替换NTP配置文件
# cp $resources_path/timesyncd.conf /etc/systemd/timesyncd.conf

# 导入获取用户名脚本
#if [ ! -d /usr/share/udcp/custom/bash ]
#then
#  mkdir -p /usr/share/udcp/custom/bash
#fi
#cp $resources_path/getCurrentUserName.bash /usr/share/udcp/custom/bash