#!/bin/bash
#### 将原时间格式'Nov 15 12:55:31'改成'2022-11-03 15:26:37'
# shellcheck disable=SC2046
if [ $(grep -c "template authformat" /etc/rsyslog.conf) -eq 0 ]
then
  sed -i 's/$ActionFileDefaultTemplate RSYSLOG_TraditionalFileFormat/$ActionFileDefaultTemplate RSYSLOG_TraditionalFileFormat\r\n$template authformat,"%TIMESTAMP:::date-unixtimestamp% %HOSTNAME% %syslogtag%%msg:::sp-if-no-1st-sp%%msg:::drop-last-lf%\\r\\n"/g'  /etc/rsyslog.conf
fi

if [ $(grep -c "auth.log;authformat" /etc/rsyslog.d/50-default.conf) -eq 0 ]
then
  sed -i 's/auth.log/auth.log;authformat/g' /etc/rsyslog.d/50-default.conf
fi

if [ $(grep -c "auth.log;authformat" /usr/share/rsyslog/50-default.conf) -eq 0 ]
then
  sed -i 's/auth.log/auth.log;authformat/g' /usr/share/rsyslog/50-default.conf
fi
